Create a wallet
curl --request POST \
--url https://api.example.com/wallets \
--header 'Content-Type: application/json' \
--data '
{
"currency": "USD",
"customer_id": "7da75a46-a1bc-11ee-9a32-560f156a658b"
}
'import requests
url = "https://api.example.com/wallets"
payload = {
"currency": "USD",
"customer_id": "7da75a46-a1bc-11ee-9a32-560f156a658b"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({currency: 'USD', customer_id: '7da75a46-a1bc-11ee-9a32-560f156a658b'})
};
fetch('https://api.example.com/wallets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"account_id": "f55ca88c-71aa-4dab-a10a-4d818c11e8e6",
"balance": {
"amount": 0,
"currency": "USD"
},
"customer_id": "a08bf5a3-8459-4e65-a5bb-34a1feef94cf",
"events": [
{
"action": "create",
"id": "6a2a5833-609d-4dff-a4e6-0eaf452d7826",
"inserted_at": "2025-07-24T08:08:07Z",
"reason": null,
"wallet_id": "55a76a42-ed3a-4d0b-b74c-2887d64612f6"
}
],
"id": "3d2e3f3e-3b3c-4907-a4fd-e241203440d7",
"payment_methods": [],
"status": "active"
}
}{}wallets
Create a wallet
POST
/
wallets
Create a wallet
Body
application/json
Wallet params
Response
Wallet
Response schema for wallet
Transaction details
Show child attributes
Show child attributes
Example:
{
"account_id": "f55ca88c-71aa-4dab-a10a-4d818c11e8e6",
"balance": { "amount": 0, "currency": "USD" },
"customer_id": "a08bf5a3-8459-4e65-a5bb-34a1feef94cf",
"events": [
{
"action": "create",
"id": "6a2a5833-609d-4dff-a4e6-0eaf452d7826",
"inserted_at": "2025-07-24T08:08:07Z",
"reason": null,
"wallet_id": "55a76a42-ed3a-4d0b-b74c-2887d64612f6"
}
],
"id": "3d2e3f3e-3b3c-4907-a4fd-e241203440d7",
"payment_methods": [],
"status": "active"
}
⌘I